petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMShellSetMatrix

sets a template matrix associated with the DMShell

### Synopsis

    #include "petscdmshell.h"
    PetscErrorCode DMShellSetMatrix(DM dm,Mat J)

Collective

### Input Arguments

| dm | - shell DM
| J | - template matrix

### See Also

DMCreateMatrix(), DMShellSetCreateMatrix(), DMShellSetContext(), DMShellGetContext()

Level:advanced
Location:src/dm/impls/shell/dmshell.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages